This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 21655 - kernel compilation problem
kernel compilation problem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-03 15:32 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 23:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
temporary kernel configuration file for our target system (10.36 KB, text/plain)
2000-12-03 15:34 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-12-03 15:32:31 EST
got a problem while recompiling the kernel 2.2.16 or 2.2.17 with 
/usr/src/linux-2.2.17/arch/i386/lib/checksum.S

<<
make[2]: Entering directory `/usr/src/linux-2.2.17/arch/i386/lib'
cc -D__KERNEL__ -I/usr/src/linux/include -D__ASSEMBLY__  -traditional -c
checksum.S -o checksum.o
checksum.S:231: badly punctuated parameter list in #define
checksum.S:237: badly punctuated parameter list in #define
make[2]: *** [checksum.o] Error 1
>>

had to manually compile this module with -traditional.

cheers
Comment 1 Need Real Name 2000-12-03 15:34:38 EST
Created attachment 5970 [details]
temporary kernel configuration file for our target system
Comment 2 Bill Nottingham 2000-12-03 19:40:48 EST
This is a bug in the kernel source. It's fixed in later kernel releases.

BTW, you're supposed to use 'kgcc' to compile the 2.2 kernel.
Comment 3 Need Real Name 2001-04-26 05:03:45 EDT
I was getting the same error when compiling the kernel. I have Red Hat 7.0 cds from Cheap Bytes and was using 
the source from the source cd SRPMS/kernel-2.2.16-22.src.rpm
I hunted around on the cds and found on the Install Disc #1 RedHat/RPMS/kernel-source-2.2.16-22.i386.rpm
When I installed that source and compiled, I had no errors.
Hope this helps.
BTW, the makefile in that source specifies kgcc as the compiler.

Note You need to log in before you can comment on or make changes to this bug.